libconfig-model-backend-augeas-perl_0.118-1_all.deb


Advertisement

Description

libconfig-model-backend-augeas-perl - config-model reader and writer powered by Augeas

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libconfig-model-backend-augeas-perl
Package version: 0.118
Package release: 1
Package architecture: all
Package type: deb
Installed size: 99 B
Download size: 17.32 KB
Official Mirror: ftp.br.debian.org
Config::Model::Backend::Augeas provides a way to load or store configuration data through Config::Augeas. This way, the structure and commments of the original configuration file are preserved. With Config::Model::Backend::Augeas, Config::Model now provides a way to load and save data through RedHat's Augeas library. Config::Model and Augeas are both configuration editing tool. Both parse configuration files in their native formats and transforms them into a tree. Configuration changes are made by manipulating this tree and saving it back into native config files. Both Augeas and Config::Model rely on a tree to represent configuration data. On one side, Augeas is able to load and write data while respecting the structure and comments of the original configuration file. But Augeas purpose is not to validate the semantic content of the configuration file. On the other side, Config::Model is able to validate the semantic content of the configuration file, but it may discard all comments and will write back configuration data using a canonical order. Thus the structure of the original configuration file is not preserved. You can now have the best of both worlds by using the Augeas library to load and write data from Config::Model configuration tree. You can now instruct Config::Model to use Augeas. See Config::Model::BackendMgr for details. Unfortunately, you must ensure that the tree representation specified in Config::Model and Augeas lens are quite close together: - Config::Model element names and Augeas lens names must be identical - Both structures must be very close. Each Config::Model node must have a corresponsing lens. See Config::Model::Backend::Augeas documentation to use Augeas with your configuration model. For more details on Config::Model see: https://github.com/dod38fr/config-model/wiki For more details on Augeas, see: http://augeas.net

    Download

    Source package: libconfig-model-backend-augeas-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libconfig-model-backend-augeas-perl deb package:
      # sudo apt-get install libconfig-model-backend-augeas-perl

    Files

    • /usr/share/doc/libconfig-model-backend-augeas-perl/README
    • /usr/share/doc/libconfig-model-backend-augeas-perl/changelog.Debian.gz
    • /usr/share/doc/libconfig-model-backend-augeas-perl/changelog.gz
    • /usr/share/doc/libconfig-model-backend-augeas-perl/copyright
    • /usr/share/man/man3/Config::Model::Backend::Augeas.3pm.gz
    • /usr/share/perl5/Config/Model/Backend/Augeas.pm
    • /usr/share/perl5/Config/Model/models/Itself/ConfigWR.d/augeas-backend.pl

    Changelog

    2014-09-08 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.118-1) unstable; urgency=medium [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ Dominique Dumont ] * Imported Upstream version 0.118 * use empty step arg when call set on a checklist (Closes: #759965)

    2014-06-19 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.117-1) unstable; urgency=medium * Imported Upstream version 0.117: - experience config attribute is deprecated (Closes: #750339)

    2014-04-03 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.116-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Dominique Dumont ] * Imported Upstream version 0.116 (Closes: #743104) * copyright: updated years * control: * bumped Standards-Version: 3.9.5 + added BDI on libtest-differences-perl

    2013-05-05 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.114-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Dominique Dumont ] * Imported Upstream version: * added meta-model snippet so config-model-edit can handle Augeas backend * control: * BD on debhelper >=9 * depends on libconfig-model-perl (>= 2.034) * depends on libmouse-perl * bumped Standards-Version: 3.9.4 * updated description * compat updated to 9 * copyright: updated years * removed obsolete patch

    2012-07-09 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.112-1) unstable; urgency=low [ gregor herrmann ] * debian/control: removed unneeded versioned dependencies. [ Dominique Dumont ] * Imported Upstream version 0.112: * Fix tests. Instead of peeking inside Node object to get internal bgmr attribute (which was renamed), use a new method provided by Config::Model 2.021. No changes in the library was done upstream (Close: #680821) * control: BDI on libconfig-model-perl > 2.021 (required by test fix) As the library did not change, there's no need to update the runtime dependency.

    2012-05-25 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.111-1) unstable; urgency=low * new upstream version (Closes: #674390) * control: updated Standards-Version: '3.9.2' -> '3.9.3' * copyright Format: updated URL + new patch to relax Module::Build version req

    2011-09-22 - Dominique Dumont <dod@debian.org> libconfig-model-backend-augeas-perl (0.110-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Dominique Dumont ] * Fix "FTBFS: test failures": upstream moosified Augeas backend to match Config::Model evolutions (Closes: #642156) * new upstream release * changed my e-mail address in control and copyright * control: [build-]depends on libconfig-model-perl 1.255

    2011-04-11 - Dominique Dumont <domi.dumont@free.fr> libconfig-model-backend-augeas-perl (0.109-1) unstable; urgency=low * New upstream release: - updated test to prevent FTBS and fix Ubuntu bug (LP: #749108) * removed fix_spelling patch (applied upstream) * control: depends on libconfig-model-perl 1.236 * control: changed my email address * control: updated to standard-version 3.9.2

    Advertisement
    Advertisement